Subject: [bug#40677] [PATCH 04/18] gnu: Add libnatpmp.

From: Jan <[email-masked]>
Date: Thu, 30 Apr 2020 00:31:23 +0200

On Tue, 28 Apr 2020 09:19:01 +0200
Mathieu Othacehe <[email-masked]> wrote:

> Hello,
> 
> >> --8<---------------cut here---------------start------------->8---
> >> guix build --target=aarch64-linux-gnu libnatpmp
> >> --8<---------------cut here---------------end--------------->8---  
> >
> > It was built successfully, it works then I guess.
> >
> >  
> >> to check it. Then, you probably need to do something similar as
> >> what is done in package "iw" (set CC variable at least).  
> > Where can I read about this CC thing more? Is it needed when
> > cross-compilation works?   
> 
> The build may succeed but if the native GCC compiler was picked, then
> it's a native build and not a cross-build. You can run the following
> command:
> 
> --8<---------------cut here---------------start------------->8---
> file the-binary-or-library
> --8<---------------cut here---------------end--------------->8---
> 
> and see what it reports. You can also have a look to maradns package
> for an example of how to deal with CC variable.
> 
> Don't hesitate if you have further questions,
> 
> Mathieu

I copied the code from the "iw" package, and the output of file is
now "ARM aarch64" instead of the previous "x86-64". That's success,
right?

Jan Wielkiewicz